> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview



## OpenAPI

````yaml /openapi.json get /v1/overview
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.5.0
servers:
  - url: https://api.usealmanac.com
security:
  - bearerAuth: []
tags:
  - description: Session, onboarding, overview, and email preferences.
    name: Account
  - description: Workspace discovery and details.
    name: Workspaces
  - description: Wiki creation, listing, and details.
    name: Wikis
  - description: Wiki pages, search, topics, and provenance.
    name: Pages
  - description: Source records, trees, search, and original files.
    name: Sources
  - description: Source uploads and upload records.
    name: Uploads
  - description: Ingest and Garden jobs, events, and outcomes.
    name: Jobs
  - description: Workspace-scoped developer keys.
    name: API keys
  - description: Workspace membership and invitations.
    name: Members
  - description: Workspace plans, usage, and billing portal.
    name: Billing
paths:
  /v1/overview:
    get:
      tags:
        - Account
      summary: Overview
      operationId: overview_v1_overview_get
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedOverview'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  request_id:
                    type: string
                required:
                  - error
                  - message
                  - request_id
                type: object
          description: Invalid request
components:
  schemas:
    HostedOverview:
      additionalProperties: false
      properties:
        access:
          items:
            $ref: '#/components/schemas/HostedWorkspaceAccess'
          title: Access
          type: array
        session:
          $ref: '#/components/schemas/HostedSession'
        wikis:
          items:
            $ref: '#/components/schemas/HostedWiki'
          title: Wikis
          type: array
      required:
        - session
        - wikis
        - access
      title: HostedOverview
      type: object
    HostedWorkspaceAccess:
      additionalProperties: false
      properties:
        can_manage_billing:
          default: false
          title: Can Manage Billing
          type: boolean
        can_manage_developers:
          default: false
          title: Can Manage Developers
          type: boolean
        can_manage_members:
          default: false
          title: Can Manage Members
          type: boolean
        role:
          title: Role
          type: string
        workspace_id:
          title: Workspace Id
          type: string
      required:
        - workspace_id
        - role
      title: HostedWorkspaceAccess
      type: object
    HostedSession:
      additionalProperties: false
      properties:
        user:
          $ref: '#/components/schemas/HostedUser'
        workspace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Id
        workspaces:
          items:
            $ref: '#/components/schemas/HostedWorkspace'
          title: Workspaces
          type: array
      required:
        - user
        - workspaces
      title: HostedSession
      type: object
    HostedWiki:
      additionalProperties: false
      properties:
        description:
          default: ''
          title: Description
          type: string
        slug:
          title: Slug
          type: string
        title:
          title: Title
          type: string
        wiki_id:
          title: Wiki Id
          type: string
        workspace_id:
          title: Workspace Id
          type: string
      required:
        - wiki_id
        - workspace_id
        - slug
        - title
      title: HostedWiki
      type: object
    HostedUser:
      additionalProperties: false
      properties:
        avatar_url:
          default: ''
          title: Avatar Url
          type: string
        display_name:
          title: Display Name
          type: string
        email:
          title: Email
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - email
        - display_name
      title: HostedUser
      type: object
    HostedWorkspace:
      additionalProperties: false
      properties:
        name:
          title: Name
          type: string
        permissions:
          items:
            type: string
          title: Permissions
          type: array
        role:
          title: Role
          type: string
        slug:
          title: Slug
          type: string
        workspace_id:
          title: Workspace Id
          type: string
      required:
        - workspace_id
        - name
        - slug
        - role
      title: HostedWorkspace
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````